public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Amy Winston" <amynka@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/merkaartor/
Date: Tue,  4 Oct 2016 17:38:25 +0000 (UTC)	[thread overview]
Message-ID: <1475602590.54f09f4cb10e2a3b439b890618508c178ee05274.amynka@gentoo> (raw)

commit:     54f09f4cb10e2a3b439b890618508c178ee05274
Author:     mudler <mudler <AT> sabayon <DOT> org>
AuthorDate: Mon Oct  3 13:51:53 2016 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Tue Oct  4 17:36:30 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54f09f4c

sci-geosciences/merkaartor: version bump to 0.18.3

* migrated to EAPI6
* use COMMON_DEPEND
* Dropped patches of 0.18.2 that were merged by upstream
* added dev-qt/linguist-tools as a qt5 dep to fix compilation issues with qt5 USE
* updated PLOCALES and dropped l10n_find_plocales_changes maintenance call
* dropped HACKING from DOCS

Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=595480
Package-Manager: portage-2.3.1

 sci-geosciences/merkaartor/Manifest                |   1 +
 .../merkaartor/merkaartor-0.18.3.ebuild            | 127 +++++++++++++++++++++
 2 files changed, 128 insertions(+)

diff --git a/sci-geosciences/merkaartor/Manifest b/sci-geosciences/merkaartor/Manifest
index f3b45f6..ed07d72 100644
--- a/sci-geosciences/merkaartor/Manifest
+++ b/sci-geosciences/merkaartor/Manifest
@@ -1,3 +1,4 @@
 DIST merkaartor-0.17.2.tar.bz2 7138991 SHA256 425f4facefbf20a3dd1a09ee61ff8a8912482d1a30c957c50869d8ff59ba702a SHA512 3718131d855ad6ea17537c7879a3249f25f6f5aaaf00e2e59df10c5497a628f0877f85129a209d11dc969b5771598f9989cc6ca3a972dab4c3eaef507784d4ed WHIRLPOOL 22a07736e7da44d3799831352d0e9d323143f228dcf7693b6f90fe101a8a04c74c2c5186db15723902b7dd8aadd93a78547e4622b5238ceb7074027e987b8487
 DIST merkaartor-0.18.1.tar.gz 6459640 SHA256 e9fa5e30e6392c9224f73e9bb7d17b66c4eb6c023633eb2af0cf58ba8acf684f SHA512 5ccb2aca7463cd3b31790b0f231cd18f4499b38ec3eb14c3600bdaae880194a71aaf63a2c2f814af6277b1b07fd618b4393309aa5ded375940bd464d1e77d71d WHIRLPOOL fde10a93510c123f2e1065ad745c3abc7860892c55ed615e75214dd172bfbec1da6f254377cc2d6e0f1df6f9d0680d0f7878ba3224651f5b09c590c335211d9c
 DIST merkaartor-0.18.2.tar.gz 6267866 SHA256 9e04d554ebc4f9999d0dd6d0cdf4e50a38135f34ded68f5dfd8cb295e20bf508 SHA512 577dd88e522eb3f9c21d3588358137dc9419a4d3961299a2162f7edb07e2b95a46d87022b57f0ea190bf9d76a2b1d2aada61c03e952e29c432e250e4686d594d WHIRLPOOL 00ae2547625442697d74084ea939e8d5ca588aeed3d67d82e2239ebfe2bd33703ad51871c4e4e38353c2692eb14a63664af5eddbeed2c6862b20122d0f5fbb0d
+DIST merkaartor-0.18.3.tar.gz 7104234 SHA256 d6b3e4d982b2c7b82331bc5bc8d993d733c443250f02919c3c4dbd6924e6e947 SHA512 b34087e0317c196b59dd1de57778b9293d23e4530bd5734661dc2ce53eef85317f512ee446056e045aa8a06146bd029d6274fa5a6f68128db27795d44f0ef915 WHIRLPOOL 6013770bfbde1360afc8106bc3ba250228e5c864483efa402033055ab0376c41b661ac188783b79a639ecb1404e38d28dc554bbbb923dc5fd17c24cefd3e192d

diff --git a/sci-geosciences/merkaartor/merkaartor-0.18.3.ebuild b/sci-geosciences/merkaartor/merkaartor-0.18.3.ebuild
new file mode 100644
index 00000000..a906766
--- /dev/null
+++ b/sci-geosciences/merkaartor/merkaartor-0.18.3.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PLOCALES="ar cs de en es et fr hr hu id_ID it ja nl pl pt_BR pt ru sk sv uk vi zh_CN zh_TW"
+
+inherit eutils fdo-mime gnome2-utils l10n qmake-utils
+
+DESCRIPTION="A Qt based map editor for the openstreetmap.org project"
+HOMEPAGE="http://www.merkaartor.be https://github.com/openstreetmap/merkaartor"
+SRC_URI="https://github.com/openstreetmap/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug exif gps libproxy qrcode qt4 qt5"
+
+REQUIRED_USE="
+	^^ ( qt4 qt5 )
+	qrcode? ( qt4 )
+"
+
+COMMON_DEPEND="
+	qt4? (
+		dev-qt/qtcore:4
+		dev-qt/qtgui:4
+		dev-qt/qtsvg:4
+		dev-qt/qtwebkit:4
+	)
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtsvg:5
+		dev-qt/qtwebkit:5
+		dev-qt/qtwidgets:5
+		dev-qt/qtxml:5
+		dev-qt/qtconcurrent:5
+		dev-qt/qtprintsupport:5
+	)
+	>=dev-qt/qtsingleapplication-2.6.1[X,qt4?,qt5?]
+	>=sci-libs/gdal-1.6.0
+	>=sci-libs/proj-4.6
+	sys-libs/zlib
+	exif? ( media-gfx/exiv2:= )
+	gps? ( >=sci-geosciences/gpsd-3.13[cxx] )
+	libproxy? ( net-libs/libproxy )
+	qrcode? ( media-gfx/zbar[qt4] )
+"
+
+RDEPEND="${COMMON_DEPEND}"
+
+DEPEND="${COMMON_DEPEND}
+	qt5? ( dev-qt/linguist-tools )
+	virtual/pkgconfig
+"
+
+DOCS=( AUTHORS CHANGELOG )
+
+src_prepare() {
+	my_rm_loc() {
+		sed -i -e "s:../translations/${PN}_${1}.\(ts\|qm\)::" src/src.pro || die
+		rm "translations/${PN}_${1}.ts" || die
+	}
+
+	if [[ -n "$(l10n_get_locales)" ]]; then
+		l10n_for_each_disabled_locale_do my_rm_loc
+		if use qt4 ; then
+			$(qt4_get_bindir)/lrelease src/src.pro || die
+		else
+			$(qt5_get_bindir)/lrelease src/src.pro || die
+		fi
+	fi
+
+	# build system expects to be building from git
+	sed -i "${S}"/src/Config.pri -e "s:SION = .*:SION = \"${PV}\":g"
+
+	eapply_user
+}
+
+src_configure() {
+	# TRANSDIR_SYSTEM is for bug #385671
+	if use qt4 ; then
+		eqmake4 \
+		PREFIX="${ED}/usr" \
+		LIBDIR="${ED}/usr/$(get_libdir)" \
+		TRANSDIR_MERKAARTOR="${ED}/usr/share/${PN}/translations" \
+		TRANSDIR_SYSTEM="${EPREFIX}/usr/share/qt4/translations" \
+		SYSTEM_QTSA=1 \
+		RELEASE=1 \
+		NODEBUG="$(usex debug '0' '1')" \
+		GEOIMAGE="$(usex exif '1' '0')" \
+		GPSDLIB="$(usex gps '1' '0')" \
+		LIBPROXY="$(usex libproxy '1' '0')" \
+		ZBAR="$(usex qrcode '1' '0')" \
+		Merkaartor.pro
+	else
+		eqmake5 \
+		PREFIX="${ED}/usr" \
+		LIBDIR="${ED}/usr/$(get_libdir)" \
+		TRANSDIR_MERKAARTOR="${ED}/usr/share/${PN}/translations" \
+		TRANSDIR_SYSTEM="${EPREFIX}/usr/share/qt5/translations" \
+		SYSTEM_QTSA=1 \
+		RELEASE=1 \
+		NODEBUG="$(usex debug '0' '1')" \
+		GEOIMAGE="$(usex exif '1' '0')" \
+		GPSDLIB="$(usex gps '1' '0')" \
+		LIBPROXY="$(usex libproxy '1' '0')" \
+		ZBAR="$(usex qrcode '1' '0')" \
+		Merkaartor.pro
+	fi
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	fdo-mime_desktop_database_update
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	fdo-mime_desktop_database_update
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2016-10-04 17:38 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-04 17:38 Amy Winston [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-21 17:58 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/merkaartor/ Andreas Sturmlechner
2023-05-15 21:28 Andreas Sturmlechner
2023-05-15 21:28 Andreas Sturmlechner
2023-05-15 21:28 Andreas Sturmlechner
2022-04-04 12:18 Ionen Wolkens
2022-03-01 13:30 Andrew Ammerlaan
2021-07-04 14:03 Ulrich Müller
2021-04-11 13:43 Sam James
2021-04-10 12:40 Sam James
2020-04-10  9:26 Andreas Sturmlechner
2020-04-10  9:26 Andreas Sturmlechner
2019-07-01 17:52 Andreas Sturmlechner
2019-06-30  7:18 Amy Liffey
2019-01-09 11:52 Andreas Sturmlechner
2018-12-31 10:09 Andreas Sturmlechner
2018-12-31 10:09 Andreas Sturmlechner
2018-12-29 23:52 Andreas Sturmlechner
2018-02-16 10:31 Andreas Sturmlechner
2018-02-16 10:31 Andreas Sturmlechner
2017-06-04 10:25 Andreas Sturmlechner
2017-03-03  0:15 Andreas Sturmlechner
2016-12-29 12:05 Michael Palimaka
2016-10-29 11:22 Michael Palimaka
2016-10-23 17:41 Ettore Di Giacinto
2016-10-23 17:41 Ettore Di Giacinto
2016-10-23 17:41 Ettore Di Giacinto
2016-10-04 19:41 Amy Winston
2016-06-26 18:13 Amy Winston
2016-06-24  7:16 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1475602590.54f09f4cb10e2a3b439b890618508c178ee05274.amynka@gentoo \
    --to=amynka@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox